Summary:   serial lines traffic monitoring KDE app
Name:      serlook
Version:   0.2.0
Release:   1
Copyright: GPL
Vendor:    giuseppe massimo bertani <gmbertani@serlook.sunsite.dk>
Url:       http://serlook.sunsite.dk

Packager:  giuseppe massimo bertani <gmbertani@serlook.sunsite.dk>
Group:     System
Source:    serlook-0.2.0.tar.gz
BuildRoot: /var/tmp/serlook

%description
SerLooK is a KDE application aimed to serial lines data traffic inspection. In the actual
version it can work as a binary terminal, sending and receiving data through a defined port
(Point to Point mode) and displaying them on separate views. Each view can be configured to 
display data in hexadecimal, decimal, octal, binary and ASCII raw (for raw I mean that 
unprintable characters are showed as dots).
Starting from 0.2.0 it is possible to perform I/O through terminal emulation views,
where VT102 codes and escape sequences are correctly managed.

It is also possible to define a secondary port and monitor the traffic between two external 
hosts using a "Y" cable (Snooper mode); in this case it won't be possible to send data from the PC.
A layout of the "Y" cable can be found in 
http://www.beyondlogic.org/protocolanalyser/protocolanalyser.htm

%prep
%setup
export CFLAGS="$RPM_OPT_FLAGS" 
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure \
    --build=i386-linux --host=i386-linux --target=i386-linux --prefix=/usr \
     $LOCALFLAGS

%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.serlook
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.serlook
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.serlook

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/serlook
rm -rf ../file.list.serlook


%files -f ../file.list.serlook

%post
#ONLY FOR MANDRAKE DISTROS
cp -f /usr/share/applnk/Applications/serlook.desktop /usr/share/applnk-mdk/Applications/Communications



